PLaSK library

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
plask::optical::modal::LevelsAdapterGeneric< dim > Struct Template Reference

Generic implementation of the level adapter. More...

`#include <solvers/optical/modal/meshadapter.hpp>`

Inheritance diagram for plask::optical::modal::LevelsAdapterGeneric< dim >:
[legend]
Collaboration diagram for plask::optical::modal::LevelsAdapterGeneric< dim >:
[legend]

## Classes
struct | GenericLevel
struct | Mesh

## Public Member Functions
| LevelsAdapterGeneric (shared_ptr< const MeshD< dim > > src)
shared_ptr< typename LevelsAdapter::Level > | yield () override
Public Member Functions inherited from plask::optical::modal::LevelsAdapter
virtual | ~LevelsAdapter ()

## Public Attributes
shared_ptr< const MeshD< dim > > | src
| Original mesh.
std::set< double > | levels
| Set of detected levels.
std::set< double >::iterator | iter
| Iterator over levels.

## Detailed Description

template<int dim>
struct plask::optical::modal::LevelsAdapterGeneric< dim >

Generic implementation of the level adapter.

Definition at line 61 of file meshadapter.hpp.

## Constructor & Destructor Documentation

## ◆ LevelsAdapterGeneric()

template<int dim>

plask::optical::modal::LevelsAdapterGeneric< dim >::LevelsAdapterGeneric | ( | shared_ptr< const MeshD< dim > > | src | ) |
| inline

Definition at line 103 of file meshadapter.hpp.

## Member Function Documentation

## ◆ yield()

template<int dim>

shared_ptr< typename LevelsAdapter::Level > plask::optical::modal::LevelsAdapterGeneric< dim >::yield | ( |  | ) |
| inline override virtual

Implements plask::optical::modal::LevelsAdapter.

Definition at line 110 of file meshadapter.hpp.

## Member Data Documentation

## ◆ iter

template<int dim>

std::set<double>::iterator plask::optical::modal::LevelsAdapterGeneric< dim >::iter

Iterator over levels.

Definition at line 101 of file meshadapter.hpp.

## ◆ levels

template<int dim>

std::set<double> plask::optical::modal::LevelsAdapterGeneric< dim >::levels

Set of detected levels.

Definition at line 98 of file meshadapter.hpp.

## ◆ src

template<int dim>

shared_ptr<const MeshD<dim> > plask::optical::modal::LevelsAdapterGeneric< dim >::src

Original mesh.

Definition at line 95 of file meshadapter.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/modal/meshadapter.hpp